PR_GET_THP_DISABLE(2const)

NAME
PR_GET_THP_DISABLE - get the state of the "THP disable" flags for the calling thread

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <linux/prctl.h>  /* Definition of PR_* constants */
#include <sys/prctl.h>

int prctl(PR_GET_THP_DISABLE, 0L, 0L, 0L, 0L);

DESCRIPTION
Return a value whose bits indicate how THP-disable is configured for the calling thread. The returned value is interpreted as follows:

0b00
    No THP-disable behavior specified.

0b01
    THP is entirely disabled for this process.

0b11
    THP-except-advised mode is set for this process.

RETURN VALUE
On success, PR_GET_THP_DISABLE, returns the value described above. On error, -1 is returned, and errno is set to indicate the error.

STANDARDS
Linux.

HISTORY
Linux 3.15.

SEE ALSO
prctl(2), PR_SET_THP_DISABLE(2const)